server:
  http_listen_port: 9080
  grpc_listen_port: 0

positions:
  filename: /tmp/positions.yaml

clients:
  - url: http://loki:3100/loki/api/v1/push

scrape_configs:
  - job_name: system
    static_configs:
      - targets:
          - localhost
        labels:
          job: varlogs
          __path__: /var/log/*log

  - job_name: pm2_logs
    static_configs:
      - targets:
          - localhost
        labels:
          job: pm2_logs
          __path__: /var/log/pm2/*.log
      - targets:
          - localhost
        labels:
          job: dev_idesigner
          __path__: /var/log/dev-idesigner/*.log
      - targets:
          - localhost
        labels:
          job: qa_idesigner
          __path__: /var/log/qa-idesigner/*.log
      - targets:
          - localhost
        labels:
          job: stage_idesigner
          __path__: /var/log/stage-idesigner/*.log
      - targets:
          - localhost
        labels:
          job: eclipse-backend-production
          __path__: /root/.pm2/logs/eclipse-backend-production-error.log
      - targets:
          - localhost
        labels:
          job: eclipse-backend-production
          __path__: /root/.pm2/logs/eclipse-backend-production-out.log

